## open-vm-tools 9.2.3-1031360

=== debian/changelog ===
open-vm-tools (2:9.2.3-1031360-7) unstable; urgency=low

  * QA upload
  * Fix compilation with Linux 3.10. Thanks to Zack Weinberg for the patch! 
    (Closes: #717154)

 -- Moritz Mühlenhoff <muehlenhoff@univention.de>  Mon, 09 Sep 2013 05:19:44 +0200

open-vm-tools (2:9.2.3-1031360-6) unstable; urgency=low

  * Correcting syntax of file entries in copyright.
  * Adding section override for open-vm-tools-dkms.
  * Enforcing build with gcc 4.7 for the time being.
  * Orphaning package.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 16 Jul 2013 10:18:50 +0200

open-vm-tools (2:9.2.3-1031360-5) experimental; urgency=low

  * Dropping obsolete sysvinit initscript start/stop numbers.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 11 Jun 2013 17:52:08 +0200

open-vm-tools (2:9.2.3-1031360-4) experimental; urgency=low

  * Dropping kfreebsd from architecture list, it has never built and
    nobody seems willing to make it work (neither upstream, porters, nor
    users).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 06 Jun 2013 13:10:41 +0200

open-vm-tools (2:9.2.3-1031360-3) experimental; urgency=low

  * Adding initial systemd service file from fedora.
  * Skipping vmsync kernel module for the time being until it has been
    fixed for the debian specific change introduced in linux 3.8.11-1 that
    broke it (Closes: #707208).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 31 May 2013 12:01:52 +0200

open-vm-tools (2:9.2.3-1031360-2) experimental; urgency=low

  * Renaming debian-specific open-vm-toolbox package to open-vm-tools-
    desktop for consistency with upstream.
  * Revamping package descriptions.
  * Renaming open-vm-dkms to open-vm-tools-dkms for consistent package
    namespace.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 23 May 2013 19:13:26 +0200

open-vm-tools (2:9.2.3-1031360-1) experimental; urgency=low

  * Merging upstream version 9.2.3-1031360.
  * Removing procps.patch, not needed anymore.
  * Renumbering patches.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 05 May 2013 09:58:58 +0200

open-vm-tools (2:9.2.2-893683-8) experimental; urgency=low

  * Adding patch from Mathias Krause <minipli@googlemail.com> to fix
    kernel stack memory leack in vsock module [CVE-2013-3237] (Closes:
    #706557).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 01 May 2013 17:11:01 +0200

open-vm-tools (2:9.2.2-893683-7) experimental; urgency=low

  * Removing purely cosmetical 'sleep 1' leftover in initscript (Closes:
    #686200).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 31 Mar 2013 20:57:51 +0200

open-vm-tools (2:9.2.2-893683-6) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 21:16:35 +0100

open-vm-tools (2:9.2.2-893683-5) unstable; urgency=low

  * Updating to standards version 3.9.4.
  * Shortening build-depends on procps again.
  * Updating year in copyright file.
  * Prefixing patches with 4 digits for consistency.
  * Tightening diff headers in patches.
  * Adding dpkg-source local-options to abort on upstream changes.
  * Dropping dpkg-source compression levels.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 27 Jan 2013 11:28:37 +0100

open-vm-tools (2:9.2.2-893683-4) unstable; urgency=low

  * Removing init order to network also on start (Closes: #695845).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 16 Dec 2012 19:42:26 +0100

open-vm-tools (2:9.2.2-893683-3) unstable; urgency=low

  * Correcting daemon name in stop section of the initscript (Closes:
    #696056).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 16 Dec 2012 13:55:05 +0100

open-vm-tools (2:9.2.2-893683-2) unstable; urgency=low

  * Removing init order to network (Closes: #695845).
  * Correcting version number (Closes: #695912).
  * Don't check for vm on stop in initscript (Closes: #695993).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 15 Dec 2012 14:38:30 +0100

open-vm-tools (2:9.2.2-893683-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Switching to xz compression again for jessie.
  * Loading modules through kmod instead of initscript again for jessie.
  * Adding sleep during restart in initscript again for jessie.
  * Removing old dpkg trigger for update-initramfs again for jessie.
  * Updating of GPL boilerplate in copyright file again for jessie.
  * Adding bugnumber to previous changelog entries regarding wheezy
    unblocks.
  * Merging upstream version 9.2.2-893683.
  * Adding remote_fs dependency in initscript (Closes: #695845).

  [ Bernd Zeimetz ]
  * Handling binNMU/nmu/backports version numbers in rules.

  [ Daniel Baumann ]
  * Using suggested start-stop-daemon handling in initscript from Bernd
    Zeimetz <bernd@bzed.de> (Closes: #686200).
  * Adding changelog for 8.8.0+2012.05.21-724730-1+nmu1 (Closes: #687205).
  * Correcting architecture fields in control.
  * Keeping vmware-user-suid-wrapper completely in vmware-tools rather
    than partially in vmware-toolbox (Closes: #686202).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 13 Dec 2012 14:08:53 +0100

open-vm-tools (2:8.8.0+2012.05.21-724730-4) unstable; urgency=low

  * Reverting switch to xz compression to ease wheezy unblock (#683299).
  * Reverting to load modules through kmod instead of initscript to ease
    wheezy unblock (#683299).
  * Reverting added sleep during restart in initscript to ease wheezy
    unblock (#683299).
  * Reverting removing old dpkg trigger for update-initramfs to ease
    wheezy unblock (#683299).
  * Reverting update of GPL boilerplate in copyright file to ease wheezy
    unblock (#683299).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 02 Aug 2012 21:32:52 +0200

open-vm-tools (2:8.8.0+2012.05.21-724730-3) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * Updating dkms.conf to make modules build again, thanks to H.A.J.
    Koster (Closes: #679886).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 16 Jul 2012 22:06:58 +0200



=== debian/control ===
Source: open-vm-tools
Section: admin
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 9), autotools-dev, gcc-4.7, dkms, doxygen, libcunit1-dev,
 libdumbnet-dev, libfuse-dev, libgtk2.0-dev, libgtkmm-2.4-dev,
 libicu-dev, libnotify-dev, libpam0g-dev, libprocps0-dev, libx11-dev,
 libxinerama-dev, libxss-dev, libxtst-dev
Standards-Version: 3.9.4
Homepage: http://open-vm-tools.sourceforge.net/

Package: open-vm-tools
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: open-vm-tools-dkms, ethtool, zerofree
Suggests: open-vm-tools-desktop
Description: Open VMware Tools for virtual machines hosted on VMware (CLI)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains only the core user-space programs and libraries.

Package: open-vm-tools-desktop
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}, open-vm-tools (= ${binary:Version})
Recommends:
 open-vm-tools-dkms, xauth, xserver-xorg-input-vmmouse,
 xserver-xorg-video-vmware
Suggests: xdg-utils
Conflicts: open-vm-toolbox (<< 2:9.2.3-1031360-2~)
Replaces: open-vm-toolbox
Description: Open VMware Tools for virtual machines hosted on VMware (GUI)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains the user-space programs and libraries that are essential
 for improved user experience of VMware virtual machines.

Package: open-vm-tools-dev
Section: devel
Architecture: all
Depends: ${misc:Depends}
Description: Open VMware Tools for virtual machines hosted on VMware (development)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains the development files.

Package: open-vm-tools-dbg
Section: debug
Priority: extra
Architecture: amd64 i386
Depends: ${misc:Depends}, open-vm-tools (= ${binary:Version}), open-vm-tools-desktop (= ${binary:Version})
Description: Open VMware Tools for virtual machines hosted on VMware (debug)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains the debugging symbols.

Package: open-vm-tools-dkms
Architecture: all
Section: kernel
Depends: ${misc:Depends}, dkms, make
Conflicts: open-vm-dkms (<< 2:9.2.3-1031360-2~)
Replaces: open-vm-dkms
Recommends: open-vm-tools
Suggests: open-vm-tools-desktop
Description: Open VMware Tools for virtual machines hosted on VMware (DKMS)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package provides the source code for the open-vm kernel modules.
 The open-vm-tools package is also required in order to make use of these
 modules. Kernel source or headers are required to compile these modules.

Package: open-vm-dkms
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, open-vm-tools-dkms
Description: Open VMware Tools for virtual machines hosted on VMware (transitional package)
 Package to ease upgrading from older open-vm-dkms packages to the new
 open-vm-tools-dkms package.
 .
 This package can be purged at anytime once the open-vm-tools-dkms package has
 been installed.

Package: open-vm-toolbox
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, open-vm-tools-desktop
Description: Open VMware Tools for virtual machines hosted on VMware (transitional package)
 Package to ease upgrading from older open-vm-toolbox packages to the new
 open-vm-tools-desktop package.
 .
 This package can be purged at anytime once the open-vm-tools-desktop package
 has been installed.

=== debian/rules ===
#!/usr/bin/make -f

VERSION = $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | sed -e 's|^.*:||' -e 's|-.*$$||')

%:
	dh ${@} --with autotools_dev,dkms

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --libdir=\$${prefix}/lib --without-kernel-modules CC=/usr/bin/gcc-4.7

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/open-vm-tools

	if [ -e debian/open-vm-tools/etc/pam.d/vmtoolsd-x64 ]; \
	then \
		sed -i -e "s|lib64|lib|g" debian/open-vm-tools/etc/pam.d/vmtoolsd-x64; \
		mv debian/open-vm-tools/etc/pam.d/vmtoolsd-x64 debian/open-vm-tools/etc/pam.d/vmtoolsd; \
	fi

	chmod 0644 debian/open-vm-tools/etc/pam.d/vmtoolsd

	install -D -m 0755 debian/local/vmxnet.hook debian/open-vm-tools/usr/share/initramfs-tools/hooks/vmxnet
	install -D -m 0644 debian/local/xautostart.conf debian/open-vm-tools-desktop/etc/vmware-tools/xautostart.conf
	install -D -m 0644 debian/local/tools.conf debian/open-vm-tools/etc/vmware-tools/tools.conf
	install -D -m 0644 debian/local/open-vm-tools.kmod debian/open-vm-tools/lib/modules-load.d/open-vm-tools.conf
	install -D -m 0755 debian/local/open-vm-tools.service debian/open-vm-tools/lib/systemd/system/open-vm-tools.service

	# open-vm-tools-dev
	mkdir -p debian/open-vm-tools-dev/usr/share/doc/open-vm-tools
	mv debian/open-vm-tools/usr/share/doc/open-vm-tools/api debian/open-vm-tools-dev/usr/share/doc/open-vm-tools

	# open-vm-tools-dkms
	mkdir -p debian/open-vm-tools-dkms/usr/src
	sh modules/linux/dkms.sh . debian/open-vm-tools-dkms/usr/src
	find debian/open-vm-tools-dkms/usr/src -name COPYING | xargs rm -f
	find debian/open-vm-tools-dkms/usr/src -name "Makefile*" | xargs chmod 0755

	# removing useless files
	rm -f debian/open-vm-tools/usr/lib/*.la
	rm -f debian/open-vm-tools/usr/lib/open-vm-tools/plugins/*/*.la
	rm -rf debian/open-vm-tools/usr/share/open-vm-tools/tests

	# moving open-vm-tools files
	mkdir -p debian/open-vm-tools/sbin
	mv debian/open-vm-tools/usr/sbin/mount.vmhgfs debian/open-vm-tools/sbin/mount.vmhgfs

	# moving open-vm-tools-desktop files
	mkdir -p debian/open-vm-tools-desktop/usr/lib/open-vm-tools/plugins
	mv debian/open-vm-tools/usr/lib/open-vm-tools/plugins/vmusr debian/open-vm-tools-desktop/usr/lib/open-vm-tools/plugins

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_dkms:
	dh_dkms -V $(VERSION)

override_dh_fixperms:
	dh_fixperms -Xsbin/mount.vmhgfs

override_dh_installinit:
	dh_installinit --update-rcd-params='start . 2 3 4 5 . stop . 0 1 6 .'

override_dh_strip:
	dh_strip --dbg-package=open-vm-tools-dbg

## open-vm-tools 9.4.0

=== modules/freebsd/vmhgfs/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 2007 VMware, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation version 2 and no later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#
##########################################################

HEADERS	:= vnode_if.h
HEADERS += hgfs_kernel.h
HEADERS += request.h
HEADERS += requestInt.h
HEADERS += debug.h
HEADERS += state.h
HEADERS += kernelStubs.h
HEADERS += fsutil.h
HEADERS += vnopscommon.h
HEADERS += os.h
HEADERS += vfsopscommon.h
HEADERS += transport.h
HEADERS += channel.h

COMMON_SRCS := cpName.c
COMMON_SRCS += cpNameLinux.c
COMMON_SRCS += cpNameLite.c
COMMON_SRCS += sha1.c
COMMON_SRCS += hgfsEscape.c
COMMON_SRCS += hgfsBd.c
COMMON_SRCS += rpcout.c
COMMON_SRCS += message.c
COMMON_SRCS += backdoor.c
.if $(MACHINE_ARCH) == "amd64"
COMMON_SRCS += backdoorGcc64.c
.else
COMMON_SRCS += backdoorGcc32.c
.endif

COMMON_HGFS_SRCS := debug.c
COMMON_HGFS_SRCS := bdhandler.c
COMMON_HGFS_SRCS += request.c
COMMON_HGFS_SRCS += worker.c
COMMON_HGFS_SRCS += fsutil.c
COMMON_HGFS_SRCS += vnopscommon.c
COMMON_HGFS_SRCS += state.c
COMMON_HGFS_SRCS += vfsopscommon.c
COMMON_HGFS_SRCS += transport.c

MODULE_SRCS := vnops.c
MODULE_SRCS += vfsops.c
MODULE_SRCS += os.c
MODULE_SRCS += vmci.c
MODULE_SRCS += hgfsUtil.c
MODULE_SRCS += kernelStubsBSD.c

#
# The FreeBSD kernel module build tree iterates over the following variable
# for build targets.  C files will be compiled, and headers will just be
# tested for presence.
#
SRCS = $(MODULE_SRCS) $(COMMON_SRCS) $(COMMON_HGFS_SRCS) $(HEADERS)

KMOD    = vmhgfs
PROG    = ../$(KMOD).ko
NOMAN   = t
NO_MAN  = t
KLDMOD  = t
NOOBJ   = 1
NO_OBJ  = 1

.ifdef OVT_SOURCE_DIR
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/include
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/backdoor
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/hgfs
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/freebsd/shared
   VPATH  := $(OVT_SOURCE_DIR)/lib/backdoor
   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/lib/hgfs
   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/lib/hgfsBd
   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/lib/message
   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/lib/misc
   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/lib/rpcOut
.else
   CFLAGS += -Ishared
.endif

#
# FreeBSD's kernel module build system defines a bunch of additional warning
# flags for the compiler in addition to -Wall -Werror.  However, some of these,
# like -Wredundant-decls, are overkill.  To get around this, I copied their list
# of warning flags, but explicitly disabled a few.
#
CWARNFLAGS := -Wall
CWARNFLAGS += -Werror
CWARNFLAGS += -Wno-redundant-decls
CWARNFLAGS += -Wnested-externs
CWARNFLAGS += -Wstrict-prototypes
CWARNFLAGS += -Wno-missing-prototypes
CWARNFLAGS += -Wpointer-arith
CWARNFLAGS += -Winline
CWARNFLAGS += -Wcast-qual

EXPORT_SYMS = NO

.include <bsd.kmod.mk>

=== modules/freebsd/vmmemctl/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 2007 VMware, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation version 2 and no later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#
##########################################################

####
#### vmmemctl Makefile (for FreeBSD guest OS)
####

SRCS	:= os.c
SRCS	+= vmballoon.c
SRCS	+= backdoor_balloon.c
SRCS	+= kernelStubsBSD.c

.if $(MACHINE_ARCH) == "amd64"
SRCS    += backdoorGcc64.c
.else
SRCS    += backdoorGcc32.c
.endif
KMOD	= vmmemctl
PROG    = ../$(KMOD).ko
NOMAN	= t
NO_MAN  = t
KLDMOD	= t

# Don't print a warning that the object dir wasn't specified
NOOBJ   = 1
NO_OBJ  = 1

.ifdef OVT_SOURCE_DIR
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/include
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/backdoor
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/freebsd/shared
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/shared/vmmemctl
   VPATH  := $(OVT_SOURCE_DIR)/lib/backdoor
   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/modules/shared/vmmemctl
.else
   CFLAGS += -Ishared
.endif

.include <bsd.kmod.mk>

.ifndef VERBOSE
.SILENT:
.endif

=== modules/linux/vmblock/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 1998 VMware, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation version 2 and no later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#
##########################################################

####
####  VMware kernel module Makefile to be distributed externally
####

####
#### SRCROOT _must_ be a relative path.
####
SRCROOT = .

#
# open-vm-tools doesn't replicate shared source files for different modules;
# instead, files are kept in shared locations. So define a few useful macros
# to be able to handle both cases cleanly.
#
INCLUDE      :=
ifdef OVT_SOURCE_DIR
AUTOCONF_DIR := $(OVT_SOURCE_DIR)/modules/linux/shared/autoconf
VMLIB_PATH   = $(OVT_SOURCE_DIR)/lib/$(1)
INCLUDE      += -I$(OVT_SOURCE_DIR)/modules/linux/shared
INCLUDE      += -I$(OVT_SOURCE_DIR)/lib/include
else
AUTOCONF_DIR := $(SRCROOT)/shared/autoconf
INCLUDE      += -I$(SRCROOT)/shared
endif


VM_UNAME = $(shell uname -r)

# Header directory for the running kernel
ifdef LINUXINCLUDE
HEADER_DIR = $(LINUXINCLUDE)
else
HEADER_DIR = /lib/modules/$(VM_UNAME)/build/include
endif

BUILD_DIR = $(HEADER_DIR)/..

DRIVER := vmblock
PRODUCT := tools-source

# Grep program
GREP = /bin/grep

vm_check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
        > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi)
vm_check_file = $(shell if test -f $(1); then echo "yes"; else echo "no"; fi)

ifndef VM_KBUILD
VM_KBUILD := no
ifeq ($(call vm_check_file,$(BUILD_DIR)/Makefile), yes)
ifneq ($(call vm_check_file,$(BUILD_DIR)/Rules.make), yes)
VM_KBUILD := 26
endif
endif
export VM_KBUILD
endif

ifndef VM_KBUILD_SHOWN
ifeq ($(VM_KBUILD), no)
VM_DUMMY := $(shell echo >&2 "Using standalone build system.")
else
ifeq ($(VM_KBUILD), 24)
VM_DUMMY := $(shell echo >&2 "Using 2.4.x kernel build system.")
else
VM_DUMMY := $(shell echo >&2 "Using 2.6.x kernel build system.")
endif
endif
VM_KBUILD_SHOWN := yes
export VM_KBUILD_SHOWN
endif

ifneq ($(VM_KBUILD), no)

VMCCVER := $(shell $(CC) -dumpversion)

# If there is no version defined, we are in toplevel pass, not yet in kernel makefiles...
ifeq ($(VERSION),)

ifeq ($(VM_KBUILD), 24)
DRIVER_KO := $(DRIVER).o
else
DRIVER_KO := $(DRIVER).ko
endif

.PHONY: $(DRIVER_KO)

auto-build: $(DRIVER_KO)
	cp -f $< $(SRCROOT)/../$(DRIVER).o

# $(DRIVER_KO) is a phony target, so compare file times explicitly
$(DRIVER): $(DRIVER_KO)
	if [ $< -nt $@ ] || [ ! -e $@ ] ; then cp -f $< $@; fi

# Pass gcc version down the chain, so we can detect if kernel attempts to use unapproved compiler
VM_CCVER := $(VMCCVER)
export VM_CCVER
VM_CC := $(CC)
export VM_CC

MAKEOVERRIDES := $(filter-out CC=%,$(MAKEOVERRIDES))

#
# Define a setup target that gets built before the actual driver.
# This target may not be used at all, but if it is then it will be defined
# in Makefile.kernel
#
prebuild:: ;
postbuild:: ;

$(DRIVER_KO): prebuild
	$(MAKE) -C $(BUILD_DIR) SUBDIRS=$$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) modules
	$(MAKE) -C $$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) postbuild
endif

vm_check_build = $(shell if $(CC) $(KBUILD_CPPFLAGS) $(KBUILD_CFLAGS) \
	$(CPPFLAGS) $(CFLAGS) $(CFLAGS_KERNEL) $(LINUXINCLUDE) \
	$(EXTRA_CFLAGS) -Iinclude2/asm/mach-default \
	-DKBUILD_BASENAME=\"$(DRIVER)\" \
	-Werror -S -o /dev/null -xc $(1) \
	> /dev/null 2>&1; then echo "$(2)"; else echo "$(3)"; fi)

CC_WARNINGS := -Wall -Wstrict-prototypes
CC_OPTS := $(GLOBAL_DEFS) $(CC_WARNINGS) -DVMW_USING_KBUILD
ifdef VMX86_DEVEL
CC_OPTS += -DVMX86_DEVEL
endif
ifdef VMX86_DEBUG
CC_OPTS += -DVMX86_DEBUG
endif

include $(SRCROOT)/Makefile.kernel

ifdef TOPDIR
ifeq ($(VM_KBUILD), 24)

O_TARGET := $(DRIVER).o

obj-y := $($(DRIVER)-y)

include $(TOPDIR)/Rules.make
endif
endif

else

include $(SRCROOT)/Makefile.normal

endif

#.SILENT:

=== modules/linux/vmci/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 1998 VMware, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation version 2 and no later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#
##########################################################

####
####  VMware kernel module Makefile to be distributed externally
####

####
#### SRCROOT _must_ be a relative path.
####
SRCROOT = .

#
# open-vm-tools doesn't replicate shared source files for different modules;
# instead, files are kept in shared locations. So define a few useful macros
# to be able to handle both cases cleanly.
#
INCLUDE      :=
ifdef OVT_SOURCE_DIR
AUTOCONF_DIR := $(OVT_SOURCE_DIR)/modules/linux/shared/autoconf
VMLIB_PATH   = $(OVT_SOURCE_DIR)/lib/$(1)
INCLUDE      += -I$(OVT_SOURCE_DIR)/modules/linux/shared
INCLUDE      += -I$(OVT_SOURCE_DIR)/lib/include
else
AUTOCONF_DIR := $(SRCROOT)/shared/autoconf
INCLUDE      += -I$(SRCROOT)/shared
endif


VM_UNAME = $(shell uname -r)

# Header directory for the running kernel
ifdef LINUXINCLUDE
HEADER_DIR = $(LINUXINCLUDE)
else
HEADER_DIR = /lib/modules/$(VM_UNAME)/build/include
endif

BUILD_DIR = $(HEADER_DIR)/..

DRIVER := vmci
PRODUCT := tools-source

# Grep program
GREP = /bin/grep

vm_check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
        > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi)
vm_check_file = $(shell if test -f $(1); then echo "yes"; else echo "no"; fi)

ifndef VM_KBUILD
VM_KBUILD := no
ifeq ($(call vm_check_file,$(BUILD_DIR)/Makefile), yes)
ifneq ($(call vm_check_file,$(BUILD_DIR)/Rules.make), yes)
VM_KBUILD := 26
endif
endif
export VM_KBUILD
endif

ifndef VM_KBUILD_SHOWN
ifeq ($(VM_KBUILD), no)
VM_DUMMY := $(shell echo >&2 "Using standalone build system.")
else
ifeq ($(VM_KBUILD), 24)
VM_DUMMY := $(shell echo >&2 "Using 2.4.x kernel build system.")
else
VM_DUMMY := $(shell echo >&2 "Using 2.6.x kernel build system.")
endif
endif
VM_KBUILD_SHOWN := yes
export VM_KBUILD_SHOWN
endif

ifneq ($(VM_KBUILD), no)

VMCCVER := $(shell $(CC) -dumpversion)

# If there is no version defined, we are in toplevel pass, not yet in kernel makefiles...
ifeq ($(VERSION),)

ifeq ($(VM_KBUILD), 24)
DRIVER_KO := $(DRIVER).o
else
DRIVER_KO := $(DRIVER).ko
endif

.PHONY: $(DRIVER_KO)

auto-build: $(DRIVER_KO)
	cp -f $< $(SRCROOT)/../$(DRIVER).o

# $(DRIVER_KO) is a phony target, so compare file times explicitly
$(DRIVER): $(DRIVER_KO)
	if [ $< -nt $@ ] || [ ! -e $@ ] ; then cp -f $< $@; fi

# Pass gcc version down the chain, so we can detect if kernel attempts to use unapproved compiler
VM_CCVER := $(VMCCVER)
export VM_CCVER
VM_CC := $(CC)
export VM_CC

MAKEOVERRIDES := $(filter-out CC=%,$(MAKEOVERRIDES))

#
# Define a setup target that gets built before the actual driver.
# This target may not be used at all, but if it is then it will be defined
# in Makefile.kernel
#
prebuild:: ;
postbuild:: ;

$(DRIVER_KO): prebuild
	$(MAKE) -C $(BUILD_DIR) SUBDIRS=$$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) modules
	$(MAKE) -C $$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) postbuild
endif

vm_check_build = $(shell if $(CC) $(KBUILD_CPPFLAGS) $(KBUILD_CFLAGS) \
	$(CPPFLAGS) $(CFLAGS) $(CFLAGS_KERNEL) $(LINUXINCLUDE) \
	$(EXTRA_CFLAGS) -Iinclude2/asm/mach-default \
	-DKBUILD_BASENAME=\"$(DRIVER)\" \
	-Werror -S -o /dev/null -xc $(1) \
	> /dev/null 2>&1; then echo "$(2)"; else echo "$(3)"; fi)

CC_WARNINGS := -Wall -Wstrict-prototypes
CC_OPTS := $(GLOBAL_DEFS) $(CC_WARNINGS) -DVMW_USING_KBUILD
ifdef VMX86_DEVEL
CC_OPTS += -DVMX86_DEVEL
endif
ifdef VMX86_DEBUG
CC_OPTS += -DVMX86_DEBUG
endif

include $(SRCROOT)/Makefile.kernel

ifdef TOPDIR
ifeq ($(VM_KBUILD), 24)

O_TARGET := $(DRIVER).o

obj-y := $($(DRIVER)-y)

include $(TOPDIR)/Rules.make
endif
endif

else

include $(SRCROOT)/Makefile.normal

endif

#.SILENT:

=== modules/linux/vmsync/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 1998 VMware, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation version 2 and no later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#
##########################################################

####
####  VMware kernel module Makefile to be distributed externally
####

####
#### SRCROOT _must_ be a relative path.
####
SRCROOT = .

#
# open-vm-tools doesn't replicate shared source files for different modules;
# instead, files are kept in shared locations. So define a few useful macros
# to be able to handle both cases cleanly.
#
INCLUDE      :=
ifdef OVT_SOURCE_DIR
AUTOCONF_DIR := $(OVT_SOURCE_DIR)/modules/linux/shared/autoconf
VMLIB_PATH   = $(OVT_SOURCE_DIR)/lib/$(1)
INCLUDE      += -I$(OVT_SOURCE_DIR)/modules/linux/shared
INCLUDE      += -I$(OVT_SOURCE_DIR)/lib/include
else
AUTOCONF_DIR := $(SRCROOT)/shared/autoconf
INCLUDE      += -I$(SRCROOT)/shared
endif


VM_UNAME = $(shell uname -r)

# Header directory for the running kernel
ifdef LINUXINCLUDE
HEADER_DIR = $(LINUXINCLUDE)
else
HEADER_DIR = /lib/modules/$(VM_UNAME)/build/include
endif

BUILD_DIR = $(HEADER_DIR)/..

DRIVER := vmsync
PRODUCT := tools

# Grep program
GREP = /bin/grep

vm_check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
        > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi)
vm_check_file = $(shell if test -f $(1); then echo "yes"; else echo "no"; fi)

ifndef VM_KBUILD
VM_KBUILD := no
ifeq ($(call vm_check_file,$(BUILD_DIR)/Makefile), yes)
ifneq ($(call vm_check_file,$(BUILD_DIR)/Rules.make), yes)
VM_KBUILD := 26
endif
endif
export VM_KBUILD
endif

ifndef VM_KBUILD_SHOWN
ifeq ($(VM_KBUILD), no)
VM_DUMMY := $(shell echo >&2 "Using standalone build system.")
else
ifeq ($(VM_KBUILD), 24)
VM_DUMMY := $(shell echo >&2 "Using 2.4.x kernel build system.")
else
VM_DUMMY := $(shell echo >&2 "Using 2.6.x kernel build system.")
endif
endif
VM_KBUILD_SHOWN := yes
export VM_KBUILD_SHOWN
endif

ifneq ($(VM_KBUILD), no)

VMCCVER := $(shell $(CC) -dumpversion)

# If there is no version defined, we are in toplevel pass, not yet in kernel makefiles...
ifeq ($(VERSION),)

ifeq ($(VM_KBUILD), 24)
DRIVER_KO := $(DRIVER).o
else
DRIVER_KO := $(DRIVER).ko
endif

.PHONY: $(DRIVER_KO)

auto-build: $(DRIVER_KO)
	cp -f $< $(SRCROOT)/../$(DRIVER).o

# $(DRIVER_KO) is a phony target, so compare file times explicitly
$(DRIVER): $(DRIVER_KO)
	if [ $< -nt $@ ] || [ ! -e $@ ] ; then cp -f $< $@; fi

# Pass gcc version down the chain, so we can detect if kernel attempts to use unapproved compiler
VM_CCVER := $(VMCCVER)
export VM_CCVER
VM_CC := $(CC)
export VM_CC

MAKEOVERRIDES := $(filter-out CC=%,$(MAKEOVERRIDES))

#
# Define a setup target that gets built before the actual driver.
# This target may not be used at all, but if it is then it will be defined
# in Makefile.kernel
#
prebuild:: ;
postbuild:: ;

$(DRIVER_KO): prebuild
	$(MAKE) -C $(BUILD_DIR) SUBDIRS=$$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) modules
	$(MAKE) -C $$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) postbuild
endif

vm_check_build = $(shell if $(CC) $(KBUILD_CPPFLAGS) $(KBUILD_CFLAGS) \
	$(CPPFLAGS) $(CFLAGS) $(CFLAGS_KERNEL) $(LINUXINCLUDE) \
	$(EXTRA_CFLAGS) -Iinclude2/asm/mach-default \
	-DKBUILD_BASENAME=\"$(DRIVER)\" \
	-Werror -S -o /dev/null -xc $(1) \
	> /dev/null 2>&1; then echo "$(2)"; else echo "$(3)"; fi)

CC_WARNINGS := -Wall -Wstrict-prototypes
CC_OPTS := $(GLOBAL_DEFS) $(CC_WARNINGS) -DVMW_USING_KBUILD
ifdef VMX86_DEVEL
CC_OPTS += -DVMX86_DEVEL
endif
ifdef VMX86_DEBUG
CC_OPTS += -DVMX86_DEBUG
endif

include $(SRCROOT)/Makefile.kernel

ifdef TOPDIR
ifeq ($(VM_KBUILD), 24)

O_TARGET := $(DRIVER).o

obj-y := $($(DRIVER)-y)

include $(TOPDIR)/Rules.make
endif
endif

else

include $(SRCROOT)/Makefile.normal

endif

#.SILENT:

=== modules/linux/vmxnet/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 1998 VMware, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation version 2 and no later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#
##########################################################

####
####  VMware kernel module Makefile to be distributed externally
####

####
#### SRCROOT _must_ be a relative path.
####
SRCROOT = .

#
# open-vm-tools doesn't replicate shared source files for different modules;
# instead, files are kept in shared locations. So define a few useful macros
# to be able to handle both cases cleanly.
#
INCLUDE      :=
ifdef OVT_SOURCE_DIR
AUTOCONF_DIR := $(OVT_SOURCE_DIR)/modules/linux/shared/autoconf
VMLIB_PATH   = $(OVT_SOURCE_DIR)/lib/$(1)
INCLUDE      += -I$(OVT_SOURCE_DIR)/modules/linux/shared
INCLUDE      += -I$(OVT_SOURCE_DIR)/lib/include
else
AUTOCONF_DIR := $(SRCROOT)/shared/autoconf
INCLUDE      += -I$(SRCROOT)/shared
endif


VM_UNAME = $(shell uname -r)

# Header directory for the running kernel
ifdef LINUXINCLUDE
HEADER_DIR = $(LINUXINCLUDE)
else
HEADER_DIR = /lib/modules/$(VM_UNAME)/build/include
endif

BUILD_DIR = $(HEADER_DIR)/..

DRIVER := vmxnet
PRODUCT := tools-source

# Grep program
GREP = /bin/grep

vm_check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
        > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi)
vm_check_file = $(shell if test -f $(1); then echo "yes"; else echo "no"; fi)

ifndef VM_KBUILD
VM_KBUILD := no
ifeq ($(call vm_check_file,$(BUILD_DIR)/Makefile), yes)
ifneq ($(call vm_check_file,$(BUILD_DIR)/Rules.make), yes)
VM_KBUILD := 26
endif
endif
export VM_KBUILD
endif

ifndef VM_KBUILD_SHOWN
ifeq ($(VM_KBUILD), no)
VM_DUMMY := $(shell echo >&2 "Using standalone build system.")
else
ifeq ($(VM_KBUILD), 24)
VM_DUMMY := $(shell echo >&2 "Using 2.4.x kernel build system.")
else
VM_DUMMY := $(shell echo >&2 "Using 2.6.x kernel build system.")
endif
endif
VM_KBUILD_SHOWN := yes
export VM_KBUILD_SHOWN
endif

ifneq ($(VM_KBUILD), no)

VMCCVER := $(shell $(CC) -dumpversion)

# If there is no version defined, we are in toplevel pass, not yet in kernel makefiles...
ifeq ($(VERSION),)

ifeq ($(VM_KBUILD), 24)
DRIVER_KO := $(DRIVER).o
else
DRIVER_KO := $(DRIVER).ko
endif

.PHONY: $(DRIVER_KO)

auto-build: $(DRIVER_KO)
	cp -f $< $(SRCROOT)/../$(DRIVER).o

# $(DRIVER_KO) is a phony target, so compare file times explicitly
$(DRIVER): $(DRIVER_KO)
	if [ $< -nt $@ ] || [ ! -e $@ ] ; then cp -f $< $@; fi

# Pass gcc version down the chain, so we can detect if kernel attempts to use unapproved compiler
VM_CCVER := $(VMCCVER)
export VM_CCVER
VM_CC := $(CC)
export VM_CC

MAKEOVERRIDES := $(filter-out CC=%,$(MAKEOVERRIDES))

#
# Define a setup target that gets built before the actual driver.
# This target may not be used at all, but if it is then it will be defined
# in Makefile.kernel
#
prebuild:: ;
postbuild:: ;

$(DRIVER_KO): prebuild
	$(MAKE) -C $(BUILD_DIR) SUBDIRS=$$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) modules
	$(MAKE) -C $$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) postbuild
endif

vm_check_build = $(shell if $(CC) $(KBUILD_CPPFLAGS) $(KBUILD_CFLAGS) \
	$(CPPFLAGS) $(CFLAGS) $(CFLAGS_KERNEL) $(LINUXINCLUDE) \
	$(EXTRA_CFLAGS) -Iinclude2/asm/mach-default \
	-DKBUILD_BASENAME=\"$(DRIVER)\" \
	-Werror -S -o /dev/null -xc $(1) \
	> /dev/null 2>&1; then echo "$(2)"; else echo "$(3)"; fi)

CC_WARNINGS := -Wall -Wstrict-prototypes
CC_OPTS := $(GLOBAL_DEFS) $(CC_WARNINGS) -DVMW_USING_KBUILD
ifdef VMX86_DEVEL
CC_OPTS += -DVMX86_DEVEL
endif
ifdef VMX86_DEBUG
CC_OPTS += -DVMX86_DEBUG
endif

include $(SRCROOT)/Makefile.kernel

ifdef TOPDIR
ifeq ($(VM_KBUILD), 24)

O_TARGET := $(DRIVER).o

obj-y := $($(DRIVER)-y)

include $(TOPDIR)/Rules.make
endif
endif

else

include $(SRCROOT)/Makefile.normal

endif

#.SILENT:

## open-vm-tools 9.4.0-1280544

=== debian/changelog ===
open-vm-tools (2:9.4.0-1280544-5ubuntu6) trusty; urgency=medium

  * Add open-vm-tools breaks/replaces against older open-vm-toolbox, since
    /etc/xdg/autostart/vmware-user.desktop moved across when Ubuntu synced
    against Debian (LP: #1301919).

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 04 Apr 2014 16:51:14 +0000

open-vm-tools (2:9.4.0-1280544-5ubuntu5) trusty; urgency=low

  * Change startup message failure to state the reason why open-vm-tools
    does not start on non-VMware hypervisors (LP: #1289564).

 -- Ben Howard <ben.howard@ubuntu.com>  Fri, 07 Mar 2014 17:21:03 -0700

open-vm-tools (2:9.4.0-1280544-5ubuntu4) trusty; urgency=low

  * Fix package dependancy that broke open-vm-dkms installation.
    (LP: #1281708)

 -- Robert C Jennings <robert.jennings@canonical.com>  Tue, 18 Feb 2014 16:57:24 -0600

open-vm-tools (2:9.4.0-1280544-5ubuntu3) trusty; urgency=low

  * Remove DKMS package and support for vmhgfs filesystem module, 
    as the 3.13 kernel and later do not support it (LP: #1272196).
    - debian/control: removed dkms packages
    - debian/rules: removed vmghfs module support (deprecated) 
    - debian/manpages: removed obsolete man pages

 -- Robert C Jennings <robert.jennings@canonical.com>  Tue, 04 Feb 2014 11:14:10 -0600

open-vm-tools (2:9.4.0-1280544-5ubuntu2) trusty; urgency=low

  * debian/patches/dkms-do-not-build-vsock-vmxnet.patch:
    Prevent builds for vmxnet and vsock modules (LP: #1271669).
  * Remove obsolete manpages: debian/manpages/vmblock.9,
     debian/manpages/vmci.9, debian/manpages/vmmemctl.9,
     debian/manpages/vmsock.9, debian/manpages/vmsync.9,
     debian/manpages/vmxnet.9
  * Removed references to obsolete man pages in remaining manpages.

 -- Robert C Jennings <robert.jennings@canonical.com>  Fri, 24 Jan 2014 12:57:33 -0600

open-vm-tools (2:9.4.0-1280544-5ubuntu1) trusty; urgency=low

   * debian/rules: fixed dh_installinit directive (LP: #1270503).

 -- Ben Howard <ben.howard@ubuntu.com>  Tue, 21 Jan 2014 10:56:31 -0700

open-vm-tools (2:9.4.0-1280544-5) unstable; urgency=low

  * [31c30832] Revert "Enable building of vmci again."
    This reverts commit 0d55577cd3c262dbbc2bf79593d6f500f84c4170.
    Too fast upload, sorry. vmhgfs is indeed (still) broken with
    vmci.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 08 Jan 2014 20:28:33 +0100

open-vm-tools (2:9.4.0-1280544-4) unstable; urgency=low

  * [0d55577c] Enable building of vmci again.
    Also patch it to build with 3.12

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 08 Jan 2014 19:41:01 +0100

open-vm-tools (2:9.4.0-1280544-3) unstable; urgency=low

  * [8b23a27d] Revert "Add /mnt/hgfs as hgfs mountpoint."
    Although the idea from the Ubuntu people to ship the mountpoint
    in the package is nice, lintian is rather unhappy about it.
    This reverts commit 1e7d8645e48f601e79eb5771e05272b367fa4eb1.
  * [46f99c30] Remove procps support for now.
    Unfortunately the procps package in unstable is rather broken, procps
    support will be enabled again when the new procps version managed to
    migrate to testing.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 08 Jan 2014 18:17:28 +0100

open-vm-tools (2:9.4.0-1280544-2) unstable; urgency=low

  * [242d45e4] Pick patch from upstream to build with gcc 4.8
  * [ed8f797f] Add script to pick patches from upstream.
  * [312be5d5] Snapshot changelog.
  * [c125af80] Use /updates/dkms/ as location for kernel modules.
    We don't want to mess with files shipped in kernel module packages.
  * [f63a890c] Bumping Standards-Version, no changes needed.
  * [1e7d8645] Add /mnt/hgfs as hgfs mountpoint.
  * [0bcabab3] Fix add_patch script.
  * [1d436969] Add some more patches to make dkms succeed on recent kernels.
    Also add dh_autoreconf as we modify configure.ac
  * [088450dd] Also apply the changs from upstream's 530ef7f for dkms.
    vmblock should be used via fuse now, vmsync is not needed anymore.
  * [cf44ff2f] Pick patch from upstream: Harden HostinfoOSData
  * [21ca2b74] Pick patch from upstream: building on kfreebsd.
  * [82123155] Use libprocps3-dev instead of libprocps0-dev.
  * [da76a5e9] Add patch to convert kuid_t/kgid_t to uid_t/gid_t.
    Building against kernel 3.12 should succeed now.
  * [91e91538] Pick another fix from upstream to make vmhgfs build on 3.12
  * [53ea11a4] Add Vcs Headers to debian/control.
  * [d19592cc] Revert "Use libprocps3-dev instead of libprocps0-dev."
    This reverts commit 821231554486ec7ff36cd36e89a6b0ef7c7a5552.
    Due to procps being completely broken in unstable.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 08 Jan 2014 16:00:44 +0100

open-vm-tools (2:9.4.0-1280544-1) unstable; urgency=low

  * [b85cd491] Taking over the maintenance of open-vm-tools. (Closes: #717381)
  * [ecccbddd] Adding watch file.
  * [12cfd169] Merge tag 'upstream/9.4.0-1280544'
    Upstream version 9.4.0-1280544
  * [7e93ef77] Refreshing patches.
  * [25fe744b] Adding CUSTOM_PROCPS_NAME/CFLAGS to dh_auto_configure call.
  * [4d1081bc] Importing patches from Ubuntu.
    As open-vm-tools should just do the right thing, we leave building
    vmsync enabled to make backporting easier.
    Thanks to Nate Muench <NowIWillDestroyAbydos@gmail.com>
  * [a0fae111] Copy upstream's dkms config for dh_dkms.
  * The new upstream release, together with the flags and new patches
    mentioned above, makes open-vm-tools build with Kernel 3.11.
    Thanks to: Jim Barber and Mihai Limbasan
    Closes: #729540

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 07 Jan 2014 02:32:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,26 @@
 Source: open-vm-tools
 Section: admin
 Priority: extra
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
 Build-Depends:
- debhelper (>= 9), autotools-dev, gcc-4.7, dkms, doxygen, libcunit1-dev,
+ debhelper (>= 9), autotools-dev, doxygen, libcunit1-dev,
  libdumbnet-dev, libfuse-dev, libgtk2.0-dev, libgtkmm-2.4-dev,
- libicu-dev, libnotify-dev, libpam0g-dev, libprocps0-dev, libx11-dev,
- libxinerama-dev, libxss-dev, libxtst-dev
-Standards-Version: 3.9.4
+ libicu-dev, libnotify-dev, libpam0g-dev, libx11-dev,
+ libxinerama-dev, libxss-dev, libxtst-dev, dh-autoreconf
+Standards-Version: 3.9.5
 Homepage: http://open-vm-tools.sourceforge.net/
+Vcs-Git: https://github.com/bzed/pkg-open-vm-tools.git
+Vcs-Browser: https://github.com/bzed/pkg-open-vm-tools
 
 Package: open-vm-tools
 Architecture: amd64 i386
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: open-vm-tools-dkms, ethtool, zerofree
+Recommends: ethtool, zerofree
 Suggests: open-vm-tools-desktop
+Breaks: open-vm-toolbox (<= 2:9.4.0-1280544-5)
+Conflicts: open-vm-dkms (<< 2:9.4.0-1280544-5ubuntu3), open-vm-tools-dkms (<< 2:9.4.0-1280544-5ubuntu3)
+Replaces: open-vm-dkms, open-vm-tools-dkms, open-vm-toolbox (<= 2:9.4.0-1280544-5)
 Description: Open VMware Tools for virtual machines hosted on VMware (CLI)
  The Open Virtual Machine Tools (open-vm-tools) project is an open source
  implementation of VMware Tools. It is a suite of virtualization utilities and
@@ -27,7 +33,7 @@
 Architecture: amd64 i386
 Depends: ${misc:Depends}, ${shlibs:Depends}, open-vm-tools (= ${binary:Version})
 Recommends:
- open-vm-tools-dkms, xauth, xserver-xorg-input-vmmouse,
+ xauth, xserver-xorg-input-vmmouse,
  xserver-xorg-video-vmware
 Suggests: xdg-utils
 Conflicts: open-vm-toolbox (<< 2:9.2.3-1031360-2~)
@@ -69,20 +75,14 @@
 Package: open-vm-tools-dkms
 Architecture: all
 Section: kernel
-Depends: ${misc:Depends}, dkms, make
+Depends: ${misc:Depends}, open-vm-tools (>= 2:9.4.0-1280544-5ubuntu3)
 Conflicts: open-vm-dkms (<< 2:9.2.3-1031360-2~)
 Replaces: open-vm-dkms
-Recommends: open-vm-tools
-Suggests: open-vm-tools-desktop
-Description: Open VMware Tools for virtual machines hosted on VMware (DKMS)
- The Open Virtual Machine Tools (open-vm-tools) project is an open source
- implementation of VMware Tools. It is a suite of virtualization utilities and
- drivers to improve the functionality, user experience and administration of
- VMware virtual machines.
+Description: Open VMware Tools for virtual machines hosted on VMware (transitional package)
+ Package to ease upgrading from older open-vm-tools-dkms packages.  Drivers
+ from this package are now provided in the kernel or have been deprecated.
  .
- This package provides the source code for the open-vm kernel modules.
- The open-vm-tools package is also required in order to make use of these
- modules. Kernel source or headers are required to compile these modules.
+ This package can be purged at any time.
 
 Package: open-vm-dkms
 Section: oldlibs

=== debian/rules ===
#!/usr/bin/make -f

VERSION = $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | sed -e 's|^.*:||' -e 's|-.*$$||')

%:
	dh ${@} --with autotools_dev,autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
			--prefix=/usr \
			--libdir=\$${prefix}/lib \
			--without-kernel-modules \
			--without-procps \
			CFLAGS="-Wno-deprecated-declarations $(CFLAGS)" \
			CUSTOM_PROCPS_NAME=procps

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/open-vm-tools

	if [ -e debian/open-vm-tools/etc/pam.d/vmtoolsd-x64 ]; \
	then \
		sed -i -e "s|lib64|lib|g" debian/open-vm-tools/etc/pam.d/vmtoolsd-x64; \
		mv debian/open-vm-tools/etc/pam.d/vmtoolsd-x64 debian/open-vm-tools/etc/pam.d/vmtoolsd; \
	fi

	chmod 0644 debian/open-vm-tools/etc/pam.d/vmtoolsd

	install -D -m 0644 debian/local/xautostart.conf debian/open-vm-tools-desktop/etc/vmware-tools/xautostart.conf
	install -D -m 0644 debian/local/tools.conf debian/open-vm-tools/etc/vmware-tools/tools.conf
	install -D -m 0755 debian/local/open-vm-tools.service debian/open-vm-tools/lib/systemd/system/open-vm-tools.service

	# open-vm-tools-dev
	mkdir -p debian/open-vm-tools-dev/usr/share/doc/open-vm-tools
	mv debian/open-vm-tools/usr/share/doc/open-vm-tools/api debian/open-vm-tools-dev/usr/share/doc/open-vm-tools

	# removing useless files
	rm -f debian/open-vm-tools/usr/lib/*.la
	rm -f debian/open-vm-tools/usr/lib/open-vm-tools/plugins/*/*.la
	rm -rf debian/open-vm-tools/usr/share/open-vm-tools/tests

	# moving open-vm-tools files
	mkdir -p debian/open-vm-tools/sbin
	mv debian/open-vm-tools/usr/sbin/mount.vmhgfs debian/open-vm-tools/sbin/mount.vmhgfs

	# moving open-vm-tools-desktop files
	mkdir -p debian/open-vm-tools-desktop/usr/lib/open-vm-tools/plugins
	mv debian/open-vm-tools/usr/lib/open-vm-tools/plugins/vmusr debian/open-vm-tools-desktop/usr/lib/open-vm-tools/plugins

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_fixperms:
	dh_fixperms -Xsbin/mount.vmhgfs

override_dh_installinit:
	dh_installinit --update-rcd-params='start 38 2 3 4 5 . stop 38 0 1 6 .'

override_dh_strip:
	dh_strip --dbg-package=open-vm-tools-dbg

=== debian/watch ===
version=3
http://sf.net/open-vm-tools/open-vm-tools-([0-9]{0,2}\.[0-9.]+-[0-9]+)\.tar\.gz
